com.ibm.openpages.api.security

## Class GroupInfo

- java.lang.Object
- - com.ibm.openpages.api.security.SecurityPrincipalInfo
  - - com.ibm.openpages.api.security.GroupInfo

-     public class GroupInfo
      extends SecurityPrincipalInfo

  Class for the specification of a user group. This class must be used for the creation of a new group.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupInfo(java.lang.String systemName)` Constructor for group information.
    `GroupInfo(java.lang.String systemName, java.util.Locale groupLocale)` Constructor for group information.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAdminLevel()` Gets the administration level for the user group.
    `java.lang.String` | `getDescription()` Gets the description for the user group.
    `int` | `getLevel()` Gets the level for the user group.
    `void` | `setAdminLevel(int adminLevel)` Sets the administration level for the user group.
    `void` | `setDescription(java.lang.String description)` Sets the description for the user group.
    `void` | `setLevel(int level)` Sets the level for the user group.

    - ### Methods inherited from class com.ibm.openpages.api.security.SecurityPrincipalInfo

      `getEmail, getLocale, getName, isEnabled, isHidden, setEmail, setEnabled, setHidden, setLocale, setName`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupInfo

          public GroupInfo(java.lang.String systemName)

      Constructor for group information.
      Parameters:
        `systemName` -

    - #### GroupInfo

          public GroupInfo(java.lang.String systemName,
                           java.util.Locale groupLocale)

      Constructor for group information.
      Parameters:
        `systemName` -
        `groupLocale` -

  - ### Method Detail

    - #### getLevel

          public int getLevel()

      Gets the level for the user group.
      Returns:
        int

    - #### setLevel

          public void setLevel(int level)

      Sets the level for the user group.
      Parameters:
        `level` -

    - #### getAdminLevel

          public int getAdminLevel()

      Gets the administration level for the user group.
      Returns:
        int

    - #### setAdminLevel

          public void setAdminLevel(int adminLevel)

      Sets the administration level for the user group.
      Parameters:
        `adminLevel` -

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description for the user group.
      Overrides:
        `getDescription` in class `SecurityPrincipalInfo`
      Returns:
        String

    - #### setDescription

          public void setDescription(java.lang.String description)

      Sets the description for the user group.
      Overrides:
        `setDescription` in class `SecurityPrincipalInfo`
      Parameters:
        `description` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.